:root {
    --text-color: #474747;
    --primary-color: #40ba36;
    --primary-alt-color: #1c8314;
    --border-color: #aaa;
    --border-color-light: #ddd;
    --rating-color: #fbb710;
}

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Montserrat", sans-serif;
    font-size: 14px;
    padding-top: 126px;
    background: #f8f8f8;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-color);
    line-height: 1.3;
    font-weight: 600;
}

p {
    color: #9b9b9b;
    font-size: 14px;
    line-height: 2;
    font-weight: 400;
}

a,
a:hover,
a:focus {
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    text-decoration: none;
    outline: 0 solid transparent;
    color: var(--text-color);
}

ul,
ol {
    margin: 0;
}

ul li,
ol li {
    list-style: none;
}

img {
    height: auto;
    max-width: 100%;
}

.min-height {
    min-height: calc(100vh - 323px);
}

.section-heading {
    position: relative;
    z-index: 1;
    margin-bottom: 50px;
    text-align: center;
}

.section-heading h3 {
    font-size: 30px;
    margin-bottom: 0;
}

/* Preloader */
#preloader {
    background-color: #ffffff;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5000;
}

#preloader .circle-preloader {
    display: block;
    width: 100px;
    height: 100px;
    border: 5px solid #eee;
    border-bottom-color: var(--primary-color);
    border-radius: 50%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    animation: spin 2s infinite linear;
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

input:focus,
textarea:focus {
    outline: none;
    box-shadow: none;
    border-color: transparent;
}

.selected-recipe-area {
    position: relative;
    z-index: 1;
}

.single-selected-recipe-area {
    position: relative;
    z-index: 1;
    margin-bottom: 30px;
    display: block;
}

.single-selected-recipe-area > a {
    display: block;
    height: 0;
    padding-top: 75%;
    overflow: hidden;
    position: relative;
    border-bottom: 3px solid var(--primary-color);
}

.single-selected-recipe-area img {
    position: absolute;
    top: -100%;
    bottom: -100%;
    margin: auto;
}

.single-selected-recipe-area .recipe-content {
    padding-top: 20px;
    text-align: center;
}

.single-selected-recipe-area .recipe-content h5 {
    font-size: 18px;
    margin-bottom: 10px;
    font-weight: 400;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
}

.single-selected-recipe-area .recipe-content h5:hover, .single-selected-recipe-area .recipe-content h5:focus {
    color: var(--primary-color);
}

.single-selected-recipe-area .recipe-content .ratings i {
    font-size: 11px;
    color: var(--rating-color);
    display: inline-block;
    padding: 0 1px;
}

.small-recipe-area {
    position: relative;
    z-index: 1;
    padding-bottom: 30px;
    padding-top: 80px;
}

.single-small-recipe-area {
    position: relative;
    z-index: 1;
    margin-bottom: 50px;
}

.single-small-recipe-area .recipe-thumb {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100px;
    flex: 0 0 100px;
    max-width: 100px;
    width: 100px;
    padding-right: 20px;
}

.single-small-recipe-area .recipe-content span {
    font-size: 12px;
    display: block;
    color: var(--primary-color);
}

.single-small-recipe-area .recipe-content a {
    display: block;
}

.single-small-recipe-area .recipe-content a h5 {
    color: var(--text-color);
    font-size: 18px;
    margin-bottom: 5px;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    .single-small-recipe-area .recipe-content a h5 {
        font-size: 16px;
    }
}

.single-small-recipe-area .recipe-content a h5:hover, .single-small-recipe-area .recipe-content a h5:focus {
    color: var(--primary-color);
}

.single-small-recipe-area .recipe-content .ratings i {
    font-size: 11px;
    color: var(--rating-color);
    display: inline-block;
    padding: 0 1px;
}

.single-small-recipe-area .recipe-content p {
    font-size: 12px;
    margin-bottom: 0;
    color: #9b9b9b;
}

.recipe-photos,
.recipe-headline,
.recipe-details,
.recipe-actions,
.recipe-content,
.recipe-reviews,
.recipe-comments {
    margin-bottom: 3rem;
}

.recipe-photos img,
.recipe-photos .owl-carousel .owl-item img {
    width: auto;
    max-height: 500px;
    margin: 0 auto;
}

@media (max-width: 991px) {
    .recipe-photos img,
    .recipe-photos .owl-carousel .owl-item img {
        width: auto;
        max-height: 300px;
        margin: 0 auto;
    }
}

/* region dashboard */

.dashboard .nav {
    background: #fff;
    border: 1px solid var(--border-color-light);
}

.dashboard .nav-link {
    padding: 0.75rem 1.5rem;
    color: var(--text-color);
}

.dashboard .nav-link.active {
    background: var(--primary-color);
    color: #fff;
}

.dashboard .nav-link.active:hover,
.dashboard .nav-link:hover,
.dashboard .nav-link:focus {
    background: var(--primary-alt-color);
    color: #fff;
}

.dashboard .tab-content {
    background: #fff;
    border: 1px solid var(--border-color-light);
}

/* endregion */

/* region recipe-slider */
.recipe-slider {
    position: relative;
    z-index: 1;
}

.recipe-slider .owl-prev,
.recipe-slider .owl-next {
    background-color: transparent;
    width: 40px;
    height: 40px;
    line-height: 40px;
    color: #ffffff;
    top: 50%;
    margin-top: -20px;
    left: 4%;
    position: absolute;
    z-index: 10;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    opacity: 0;
    visibility: hidden;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    border-bottom: 3px solid var(--primary-alt-color);
}

@media only screen and (max-width: 767px) {
    .recipe-slider .owl-prev,
    .recipe-slider .owl-next {
        font-size: 14px;
    }
}

.recipe-slider .owl-next {
    left: auto;
    right: 4%;
}

.recipe-slider:hover .owl-prev, .recipe-slider:hover .owl-next {
    opacity: 1;
    visibility: visible;
}

/* endregion */

.recipe-headline h2 {
    margin: 0 0 30px 0;
    font-size: 2.5rem;
    color: var(--text-color);
    text-align: center;
}

.recipe-headline .options {
    text-align: center;
}

.recipe-headline .options a {
    display: inline-block;
}

.recipe-headline .options a + a {
    margin-left: 10px;
}

@media only screen and (max-width: 767px) {
    .recipe-headline h2 {
        font-size: 1.5rem;
    }
}

/* region recipe-details */
.recipe-details .col-12 .recipe-detail {
    border: 1px solid var(--border-color);
    border-bottom: 0;
    padding: 0.95rem 1.25rem;
    min-height: 100%;
    position: relative;
}

.recipe-details .col-12:last-child .recipe-detail {
    border-bottom: 1px solid var(--border-color);
}

@media (min-width: 576px) {
    .recipe-details .col-12:nth-child(3) .recipe-detail {
        border-bottom: 1px solid var(--border-color);
    }

    .recipe-details .col-12:nth-child(2n+2) .recipe-detail {
        border-left: 0;
    }
}

@media (min-width: 992px) {
    .recipe-details .col-12:nth-child(1n+1) .recipe-detail {
        border-bottom: 1px solid var(--border-color);
    }

    .recipe-details .col-12:nth-child(1n+2) .recipe-detail {
        border-left: 0;
    }
}

.recipe-detail strong {
    color: #515151;
}

.recipe-detail > .fa {
    position: absolute;
    bottom: 0.7rem;
    right: 0.7rem;
    font-size: 1.5rem;
    color: #d7dadc;
}

.recipe-detail .ratings {
    display: inline-block;
    color: var(--rating-color);
}

/* endregion */

/* region recipe */
.recipe-title {
    margin-bottom: 1.5rem;
}

.ingredients .custom-checkbox .custom-control-label::before {
    border-radius: 0;
}

.ingredients .custom-control-label::before {
    left: 0;
    width: 30px;
    height: 30px;
    background-color: #f3f5f8;
}

.ingredients .custom-control {
    padding-left: 2rem;
    margin-bottom: 10px;
    position: relative;
}

.ingredients .custom-control-input {
    display: none;
}

.ingredients .custom-control-label {
    position: initial;
    margin-bottom: 0;
    padding-top: 4px;
}

.ingredients .custom-control-label::before {
    content: '';
    position: absolute;
    top: 0.25rem;
    left: 0;
    display: block;
    width: 20px;
    height: 20px;
    pointer-events: none;
    border: 1px solid var(--border-color-light);
    border-radius: 0;
}

.ingredients .custom-control-input:checked ~ .custom-control-label::before {
    background: var(--primary-color);
}

.ingredients .custom-control-label::after {
    content: '';
    position: absolute;
    top: 6px;
    left: 1px;
    width: 18px;
    height: 18px;
    display: block;
    background: 50%/50% 50% no-repeat;
}

.ingredients .custom-control-input:checked ~ .custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26l2.974 2.99L8 2.193z'/%3e%3c/svg%3e");
}

.single-preparation-step {
    position: relative;
    z-index: 1;
    margin-bottom: 30px;
}

.single-preparation-step:last-child {
    margin-bottom: 0;
}

.single-preparation-step h4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 60px;
    flex: 0 0 60px;
    max-width: 60px;
    width: 60px;
    margin-bottom: 0;
}

.single-preparation-step p {
    color: inherit;
    line-height: 1.5;
    margin: 0;
}

.ingredients .custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {
    background-color: var(--primary-color);
}

/* endregion */

/* region review */
.review {
    margin-bottom: 2rem;
}

.single-review {
    border-bottom: 1px solid var(--border-color-light);
    margin-bottom: 30px;
    padding-bottom: 25px;
    display: flex;
    flex-direction: row;
}

.single-review:last-child {
    border: none;
    padding: 0;
    margin: 0;
}

.single-review .review-avatar {
    margin-right: 25px;
    display: flex;
    flex: 0 0 60px;
    align-items: start;
    justify-content: start;
}

.single-review .review-avatar img {
    width: 60px;
    max-height: 60px;
    border-radius: 50%;
}

.single-review .review-content {
    display: flex;
    flex-direction: column;
    flex: 0 1 100%;
}

.single-review .review-title {
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
    margin-bottom: 10px;
}

.single-review .review-title .review-author {
    font-weight: bold;
}

.single-review .review-title .review-date {
    color: #aaa;
    font-size: 0.8rem;
}

.single-review .review-title .review-rating {
    color: var(--rating-color);
}

.single-review .review-body .review-body-title {
    margin-bottom: 5px;
    font-weight: bold;
}

.rating {
    display: flex;
    flex-direction: row-reverse;
    justify-content: start;
}

.rating > input {
    display: none;
}

.rating > label .fa {
    display: none;
}

.rating > label .fa,
.rating > label .fa-regular {
    color: var(--rating-color);
    cursor: pointer;
    font-size: 2rem;
}

.rating > label:hover .fa,
.rating > label:hover ~ label .fa {
    display: inline-block;
}

.rating > label:hover .fa-regular,
.rating > label:hover ~ label .fa-regular {
    display: none;
}

.rating > input:checked ~ label .fa {
    display: inline-block;
}

.rating > input:checked ~ label .fa-regular {
    display: none;
}

/* endregion */

.footer-area {
    position: relative;
    z-index: 1;
    width: 100%;
    background-color: #060816;
    margin-top: 36px;
}

.search-wrapper {
    margin: -20px 0 20px;
}

.search-wrapper .btn {
    background: #fefefe;
    border-color: #c8cdd3;
    border-left: none;
    width: 2.5rem;
    color: transparent;
}

.search-wrapper .btn.visible {
    color: #212529;
}
